%define	fname	pt

%define version		2.10.2
%define major		%version
%define libname		%mklibname %{fname} %{major}
%define develname	%mklibname %{fname} -d

%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	Portable Tool Library
Name:		ptlib
Version:	2.10.10
Release:	%mkrel 1
License:	MPL
Group:		System/Libraries
URL:		http://www.opalvoip.org
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/ptlib/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:  expat-devel
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	libavc1394-devel
BuildRequires:  libdc1394_12-devel >= 0.9.5
BuildRequires:	libdv-devel
BuildRequires:	libraw1394_8-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	SDL-devel
BuildRequires:	unixODBC-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	sed
BuildConflicts: libdc1394-devel >= 2.0.0

%description
PTLib is a C++ multi-platform abstraction library that has its genesis
many years ago as a method to produce applications to run on both
Microsoft Windows and Unix systems. It also was to have a Macintosh
port but this never eventuated.

This is the GNOME.org version of ptlib.

%package -n	%{libname}
Summary:	Portable Windows Libary
Group:		System/Libraries
Requires:	%{libname}-plugins >= %{version}-%{release}
Obsoletes:	%{mklibname pt 2} < 2.4.1-2mdv

%description -n	%{libname}
PTLib is a C++ multi-platform abstraction library that has its genesis
many years ago as a method to produce applications to run on both
Microsoft Windows and Unix systems. It also was to have a Macintosh
port but this never eventuated.

This is the GNOME.org version of ptlib.

%package -n	%{develname}
Summary:	Portable Windows Libary development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname pwlib -d}

%description -n	%{develname}
Header files and libraries for developing applications that use ptlib.

%package -n	%{libname}-plugins
Summary:	Main plugins for ptlib
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-plugins = %{version}-%{release}
Provides:	%{name}-plugins-alsa = %{version}-%{release}
Provides:	%{name}-plugins-oss = %{version}-%{release}
Provides:	%{name}-plugins-pulseaudio = %{version}-%{release}
Provides:	%{name}-plugins-v4l2 = %{version}-%{release}
Obsoletes:	%{mklibname pt 2}-plugins < 2.4.1-2mdv

%description -n	%{libname}-plugins
This package contains the oss, alsa, pulseaudio and v4l2 plugins for ptlib.

%package -n	%{libname}-plugins-dc
Summary:	Dc plugin for ptlib
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-plugins-dc = %{version}-%{release}
Obsoletes:	%{mklibname pt 2}-plugins-dc < 2.4.1-2mdv

%description -n	%{libname}-plugins-dc
This package contains the dc plugin for ptlib.

%package -n	%{libname}-plugins-avc
Summary:	AVC plugin for ptlib
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-plugins-avc = %{version}-%{release}
Obsoletes:	%{mklibname pt 2}-plugins-avc < 2.4.1-2mdv

%description -n	%{libname}-plugins-avc
This package contains the AVC plugin for ptlib.

%prep
%setup -q

%build
%configure2_5x \
    --disable-static \
    --enable-v4l2 \
    --enable-plugins \
    --enable-oss \
    --enable-avc \
    --enable-dc

%make RPM_OPT_FLAGS="%{optflags}"

%install
%makeinstall_std

%multiarch_includes %{buildroot}%{_includedir}/ptbuildopts.h

%multiarch_includes %{buildroot}%{_includedir}/ptlib/pluginmgr.h

#fix doc perms
chmod a+r *.txt

#remove unpackaged files
rm -f %{buildroot}%{_datadir}/ptlib/make/*.{pat,in,lib64,libname,ptlibdir,includesdir}

# fix ptlib-config
install -d %{buildroot}%{_bindir}
ln -snf %{_datadir}/ptlib/make/ptlib-config %{buildroot}%{_bindir}/ptlib-config
find %{buildroot} -name '*.la' -delete

# fix strange perms
find %{buildroot} -type d -perm 0700 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0555 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0444 -exec chmod 644 {} \;
find %{buildroot}%{_libdir} -type f -name '*.so*' -exec chmod 755 {} \;

# it's not stable at major version level...
rm -f %{buildroot}%{_libdir}/libpt.so.?
rm -f %{buildroot}%{_libdir}/libpt.so.?.?

%files -n %{libname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc *.txt
%attr(0755,root,root) %{_bindir}/ptlib-config
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_libdir}/libpt_s.a
%{_datadir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}-plugins
%defattr(-,root,root)
%dir %{_libdir}/%{name}-%{version}
%dir %{_libdir}/%{name}-%{version}/devices
%dir %{_libdir}/%{name}-%{version}/devices/sound
%dir %{_libdir}/%{name}-%{version}/devices/videoinput
%attr(0755,root,root) %{_libdir}/%{name}-%{version}/devices/sound/alsa_pwplugin.so
%attr(0755,root,root) %{_libdir}/%{name}-%{version}/devices/sound/oss_pwplugin.so
%attr(0755,root,root) %{_libdir}/%{name}-%{version}/devices/sound/pulse_pwplugin.so
%attr(0755,root,root) %{_libdir}/%{name}-%{version}/devices/videoinput/v4l2_pwplugin.so

%files -n %{libname}-plugins-dc
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/%{name}-%{version}/devices/videoinput/dc_pwplugin.so

%files -n %{libname}-plugins-avc
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/%{name}-%{version}/devices/videoinput/avc_pwplugin.so


%changelog

* Wed Feb 20 2013 ovitters <ovitters> 2.10.10-1.mga3
+ Revision: 399573
- new version 2.10.10

* Sun Jan 13 2013 umeabot <umeabot> 2.10.9-2.mga3
+ Revision: 378289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 ovitters <ovitters> 2.10.9-1.mga3
+ Revision: 322174
- new version 2.10.9

* Thu Aug 23 2012 ovitters <ovitters> 2.10.7-1.mga3
+ Revision: 283375
- new version 2.10.7

* Thu Dec 08 2011 fwang <fwang> 2.10.2-2.mga2
+ Revision: 178890
- update file list
- rebuild for new odbc
- new version 2.10.2

* Wed Jul 20 2011 fwang <fwang> 2.10.1-1.mga2
+ Revision: 127413
- new version 2.10.1

* Sat Jun 25 2011 ahmad <ahmad> 2.8.3-1.mga2
+ Revision: 113354
- Update to 2.8.3
- Drop patch, not needed any more
- v4l is deprecated, update configure options and the file list

* Thu Mar 03 2011 ahmad <ahmad> 2.6.7-2.mga1
+ Revision: 62743
- drop esound-devel BR, (phasing out esound from the distro)

* Fri Feb 25 2011 ennael <ennael> 2.6.7-1.mga1
+ Revision: 59450
- clean spec file
- imported package ptlib


* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 2.6.7-1mdv2011.0
+ Revision: 551251
- new version

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.6.5-5mdv2010.1
+ Revision: 540361
- rebuild so that shared libraries are properly stripped again

* Tue Apr 27 2010 Funda Wang <fwang@mandriva.org> 2.6.5-4mdv2010.1
+ Revision: 539549
- disable undefined switch for plugins
- revert previous commit
- fix version
- obsoletes pwlib

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - rebuild for openssl-1.0.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1
    - rebuilt against openssl-0.9.8m

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.6.5-1mdv2010.0
+ Revision: 447472
- new version
- fix build deps
- explicitely enable plugins

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 2.6.4-1mdv2010.0
+ Revision: 393139
- update to new version 2.6.4

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.0
+ Revision: 377696
- new version
- drop patch 1

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 2.6.1-2mdv2009.1
+ Revision: 360134
- as needed is fine

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2009.1
+ Revision: 357185
- update to new version 2.6.1

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.6.0-1mdv2009.1
+ Revision: 347588
- new version
- fix build with unixODBC
- spec cleanup

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.5.2-1mdv2009.1
+ Revision: 325394
- new version
- fix format strings
- depend on the right libraw1394

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2009.1
+ Revision: 295931
- new version
- new major
- fix source URL

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 2.4.1-2mdv2009.0
+ Revision: 288194
- since there's no stability at major / minor version level, the major / minor
  versioned library symlinks shouldn't exist, so don't package them
- drop now unnecessary autotools calls
- obsolete the incorrect major packages
- major should be 2.4.1 (that's the SONAME)

* Tue Sep 23 2008 Adam Williamson <awilliamson@mandriva.org> 2.4.1-1mdv2009.0
+ Revision: 287368
- adjust file list for new layout (versioned plugin directory)
- explicitly enable v4l plugin build (doesn't seem to get built otherwise)
- drop lib64.patch: MDV-specific hack that likely isn't needed any more
- drop libname.patch, fix-libpt.so-symlink.diff, preprocess.patch and
  fix-build-with-libv4l.patch: merged upstream
- new release 2.4.1

  + Götz Waschk <waschk@mandriva.org>
    - use default optflags

* Wed Sep 10 2008 Götz Waschk <waschk@mandriva.org> 2.3.1-4mdv2009.0
+ Revision: 283461
- patch to make it use libv4l (b.g.o #550961)

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.3.1-3mdv2009.0
+ Revision: 280239
- add another missing build dep
- build with libv4l

* Tue Sep 02 2008 Adam Williamson <awilliamson@mandriva.org> 2.3.1-1mdv2009.0
+ Revision: 279240
- add new .pc file to file list
- drop 'fix ptlibDIR' workaround, no longer relevant
- have to run aclocal before autoconf or autoconf fails
- drop conditionals for unsupported releases
- fix lib64.patch - it was missing a @ and hence wasn't actually working right
  (ptlib-config --lib would always return @LIB)
- add comment to remind people always to use gnome.org source
- disable underlinking protection (upstream has internal underlinking issues)
- new release 2.3.1, from gnome.org

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 12 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.0-1mdv2009.0
+ Revision: 206476
- new release 2.2.0

* Tue Dec 25 2007 Adam Williamson <awilliamson@mandriva.org> 2.1.2-2mdv2008.1
+ Revision: 137747
- explicit conflicts between libpt-devel and libpwlib-devel

* Mon Dec 24 2007 Adam Williamson <awilliamson@mandriva.org> 2.1.2-1mdv2008.1
+ Revision: 137590
- import ptlib


